<?php require 'formkit/app/fk-input.php' ?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<link rel="stylesheet" href="formkit/app/fk.css">
<link rel="stylesheet" href="custom.css">
<meta name="viewport" content="width=device-width">
<title>入力画面 - よくあるお問い合わせサンプルフォーム - FormKit</title>
</head>
<body>

<!-- ナビリンク -->
<?php include '../navi.php' ?>

<main>
	<h1>サンプルフォーム：よくあるお問い合わせ</h1>
	<p class="desc">
		一般的なお問い合わせフォームです。ここから項目を削除したい必要な項目を追加してご利用下さい。（項目のサンプルは <a href="https://kantaro-cgi.com/demo/formkit/03-ElementForm/" target="_blank">要素サンプルフォーム</a> を参照して下さい）
	</p>
	<div class="steps">
		<span class="now">入力画面</span> &gt;
		<span>確認画面</span> &gt;
		<span>完了画面</span>
	</div>
	<noscript>JavaScriptを有効にして下さい。</noscript>
	<form action="check.php" method="post">
		<?= \FK\hiddens_tag() ?>
		<table>
			<tbody>
				<tr>
					<th class="fk-req">お名前</th>
					<td>
						<input type="text" name="onamae" value="<?= $onamae ?>">
						<?= $onamae->marker_tag() ?>
						<?= $onamae->error_tag() ?>
						<br>
						<input type="text" name="kana" value="<?= $kana ?>" placeholder="（フリガナ）">
						<?= $kana->marker_tag() ?>
						<?= $kana->error_tag() ?>
					</td>
				</tr>
				<tr>
					<th class="fk-req">メールアドレス</th>
					<td data-fk-related>
						<input type="text" name="email" value="<?= $email ?>">
						<?= $email->marker_tag() ?>
						<?= $email->error_tag() ?>
						<br>
						<input type="text" name="email2" value="<?= $email2 ?>" placeholder="（もう一度入力）">
						<?= $email2->marker_tag() ?>
						<?= $email2->error_tag() ?>
					</td>
				</tr>
				<tr>
					<th class="fk-req">連絡先電話番号</th>
					<td>
						<input type="text" name="tel" placeholder="" value="<?= $tel ?>">
						<?= $tel->marker_tag() ?>
						<?= $tel->error_tag() ?>
					</td>
				</tr>
				<tr>
					<th class="fk-noreq">ご住所</th>
					<td>
						<div>
							〒 <input type="text" name="zip" value="<?= $zip ?>" data-fk-ajaxzip="'zip','','pref','address1'" placeholder="（例：000-0000）">
							<?= $zip->marker_tag() ?>
							<?= $zip->error_tag() ?>
						</div>
						<div>
							都道府県
							<select name="pref">
								<option value="">（１つ選択して下さい）</option>
								<option value="" disabled>--------------------</option>
								<?= \FK\pref_options_tag($pref) ?>
							</select> <?= $pref->marker_tag() ?>
						</div>
						<div>
							市区町村/番地 <input type="text" name="address1" value="<?= $address1 ?>">
							<?= $address1->marker_tag() ?>
							<?= $address1->error_tag() ?>
						</div>
						<div>
							建物名/階など <input type="text" name="address2" value="<?= $address2 ?>">
							<?= $address2->marker_tag() ?>
							<?= $address2->error_tag() ?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="fk-req">お問い合わせの種類</th>
					<td>
						<label><input type="radio" name="type" value="商品について"<?= $type->checked('商品について') ?>> 商品について</label><br>
						<label><input type="radio" name="type" value="サポートについて"<?= $type->checked('サポートについて') ?>> サポートについて</label><br>
						<label><input type="radio" name="type" value="不具合のご連絡"<?= $type->checked('不具合のご連絡') ?>> 不具合のご連絡</label><br>
						<label><input type="radio" name="type" value="ご依頼について"<?= $type->checked('ご依頼について') ?>> ご依頼について</label><br>
						<label><input type="radio" name="type" value="お支払について"<?= $type->checked('お支払について') ?>> お支払について</label><br>
						<label><input type="radio" name="type" value="その他"<?= $type->checked('その他') ?>> その他</label><br>
						<?= $type->error_tag() ?>
					</td>
				</tr>
				<tr>
					<th class="fk-req">お問い合わせ内容</th>
					<td>
						<div class="rule">改行を除いて500文字まで。</div>
						<textarea name="comment"><?= $comment ?></textarea>
						<?= $comment->marker_tag() ?>
						<?= $comment->error_tag() ?>
					</td>
				</tr>
			</tbody>
		</table>
		<div class="submit">
			<button>確認画面へ</button>
		</div>
		<aside><?= \FK\copyright_tag(); ?></aside>
	</form>
</main>

<script src="formkit/app/fk.js"></script>

</body>
</html>
